#ifndef TRACKDIALOG_H
#define TRACKDIALOG_H

#include <QLineEdit>
#include <QSpinBox>
#include <QPushButton>
#include <QFormLayout>
#include <QFileDialog>

#include "defines.h"
#include "cuetrackwidget.h"

class TrackDialog : public QDialog {
	Q_OBJECT

public:
    CueTrackWidget *track;

    explicit TrackDialog(QWidget *parent = nullptr);

private:
	QPushButton *okButton;
	QPushButton *cancelButton;
    QPushButton *browseButton;
	
	void setupUi();
	void connectSignals();

private slots:
    QString browseFiles() const;

};

#endif
