#include "trackdialog.h"
#include "settings.h"

TrackDialog::TrackDialog(QWidget *parent) : QDialog(parent) {
	setupUi();
	connectSignals();
}

void TrackDialog::setupUi() {
	okButton = new QPushButton(tr("OK"), this);
	cancelButton = new QPushButton(tr("Cancelar"), this);
    browseButton = new QPushButton(tr("Buscar..."), this);

    QFormLayout *layout = new QFormLayout(this);
    //track = new CueTrackWidget();
    //track->editButtonClicked();
/*    layout->addRow(tr("&User number"), track->userNumberSpin);
    layout->addRow(tr("&Name"), track->nameEdit);
    layout->addRow(tr("&Description"), track->descriptionEdit);
    layout->addRow(tr("&File"), track->filePathEdit);
    layout->addRow(tr("&Status"), track->statusCombo);
    layout->addRow(tr("&Fade in"), track->fadeInSpin);
    layout->addRow(tr("Fade &Out"), track->fadeOutSpin);
    layout->addRow(tr("&Wait In"), track->waitInSpin);
    layout->addRow(tr("&Wait Ou&t"), track->waitOutSpin);
    layout->addRow(tr("Sto&p at end"), track->stopAtEndCheck);
    layout->addRow(tr("&Volume"), track->volumeSpin);
    layout->addRow(tr("pan"), track->panSpin);
    layout->addRow(tr("pitch"), track->pitchSpin);
    layout->addRow(tr("Bus&1"), track->bus1Spin);
    layout->addRow(tr("Bus&2"), track->bus2Spin);
    layout->addRow(tr("&Entry Point"), track->entryPointSpin);
    layout->addRow(tr("E&xit Point"), track->exitPointSpin);*/
    //layout->addRow(tr("&Browse files"), browseButton);
    //layout->addWidget(track);
    layout->addWidget(okButton);
    layout->addWidget(cancelButton);
	setLayout(layout);
}

void TrackDialog::connectSignals() {
	connect(okButton, &QPushButton::clicked, this, &TrackDialog::accept);
	connect(cancelButton, &QPushButton::clicked, this, &TrackDialog::reject);
    //connect(browseButton, &QPushButton::clicked, this, &TrackDialog::browseFiles);
}

QString TrackDialog::browseFiles() const {
	QString filePath = QFileDialog::getOpenFileName(
		const_cast<TrackDialog*>(this),
		tr("Select File"),
		Settings::getInstance()->getPathMedia(),
        tr("Archivos de audio (*.mp3 *.wav *.flac);;Todos los archivos (*)")
	);
	if (!filePath.isEmpty()) {
        track->setFilePath(filePath);
		QDir dir;
		Settings::getInstance()->setPathMedia(dir.absoluteFilePath(filePath));
	}
    return filePath;
}
